# notifier(7)

## Name

notifier - cups notification interface

## Synopsis

notifier recipient [ user-data ]

## Description

The CUPS notifier interface provides a standard method for adding support for new event notification methods to CUPS. Each notifier delivers one or more IPP events from the standard input to the specified recipient.

Notifiers MUST read IPP messages from the standard input using the ippNew() and ippReadFile() functions and exit on error. Notifiers are encouraged to exit after a suitable period of inactivity, however they may exit after reading the first message or stay running until an error is seen. Notifiers inherit the environment and can use the logging mechanism documented in filter(7).

## See Also

cupsd(8), filter(7), CUPS Online Help (http://localhost:631/help)

## Copyright

Copyright © 2021-2022 by OpenPrinting.